Docs
Get Folder
GET /Drives/{driveId}/folders/{folderId}
GET
/Drives/{driveId}/folders/{folderId}Returns a folder's details with its associations and public links. Use Drives_Get to browse the folder's contents.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| folderId | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| partitionKey | uuid | |
| name | string| null | |
| description | string| null | |
| path | string| null | |
| fullPath | string| null | |
| associatedCrewMembers | GetFileFolderResponseAssociatedEntiy[]| null | |
| associatedCollaborators | GetFileFolderResponseAssociatedEntiy[]| null | |
| associatedAreas | GetFileFolderResponseAssociatedEntiy[]| null | |
| links | GetFileFolderResponseFolderLink[]| null |
GetFileFolderResponseAssociatedEntiy
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| entityId | uuid | |
| name | string| null | |
| permissions | string[]| null |
GetFileFolderResponseFolderLink
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| permissions | string[]| null |